<section id="newRental">
  <div class="bwm-form">
    <div class="row">
      <div class="col-md-5">
        <h1 class="page-title">Create Rental</h1>
        <form #rentalForm="ngForm">
          <div class="form-group">
            <label for="title">Title</label>
            <input type="text"
                   class="form-control"
                   id="title"
                   name="title"
                   [(ngModel)]="newRental.title"
                   required>
          </div>

          <div class="form-group">
            <label for="city">City</label>
            <input type="text"
                   class="form-control"
                   id="city"
                   name="city"
                   [(ngModel)]="newRental.city"
                   required>
          </div>

          <div class="form-group">
            <label for="street">Street</label>
            <input type="text"
                   class="form-control"
                   id="street"
                   name="street"
                   [(ngModel)]="newRental.street"
                   required>
          </div>

          <div class="form-group">
            <label for="category">Category</label>

            <select class="form-control"
                    id="category"
                    name="category"
                   [(ngModel)]="newRental.category">
              <option> Top </option>
              <option> Middle </option>
              <option> Low </option>
            </select>
          </div>

           <div class="form-group">
            <label for="brand">Brand</label>
            <input type="text"
                   class="form-control"
                   id="brand"
                   name="brand"
                   [(ngModel)]="newRental.brand"
                   required>
          </div>

          <div class="form-group">
            <label for="image">Image</label>
            <input type="file"
                   name="image"
                   class="form-control"
                   id="image"
                   placeholder="Upload image..."
                   (change)="handleImageChange()">
          </div>

          <div class="form-group">
            <label for="description">Description</label>
            <textarea rows="5"
                      type="text"
                      class="form-control"
                      id="description"
                      name="description"
                   		[(ngModel)]="newRental.description"
                   		required>
            </textarea>
          </div>

          <div class="form-group">
            <label for="dailyRate">Daily Rate</label>
            <div class="input-group">
              <div class="input-group-prepend">
                <div class="input-group-text">$</div>
              </div>
              <input type="number"
                     name="dailyRate"
                     class="form-control"
                     id="dailyRate"
                     name="dailyRate"
                   [(ngModel)]="newRental.dailyRate"
                   required>
            </div>
          </div>

          <button [disabled]="!rentalForm.form.valid" 
          (click)="createRental()" 
          style="margin-bottom: 100px;" 
          type="button" 
          class="btn btn-primary">
      			Submit
      	</button>
        </form>

        <div *ngIf="errors.length > 0" class="alert alert-danger">
          <p *ngFor="let error of errors">
            {{error.detail}}
          </p>
        </div>


      </div>
      <div class="col-md-6 ml-auto">
        <div class="image-container">
          <img src="https://images.unsplash.com/photo-1516352267226-f5f3e4c53781?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&w=1000&q=80" height="80%" width="80%" alt="">
        </div>
      </div>

    </div>
  </div>
</section>
